GNU bug report logs - #33254
26.1.50; Fixed-size windows break 'balance-windows'

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: martin rudalics <rudalics@HIDDEN>; dated Sun, 4 Nov 2018 10:26:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug Marked as fixed in versions 27.1. Request was from martin rudalics <rudalics@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 33254 <at> debbugs.gnu.org:


Received: (at 33254) by debbugs.gnu.org; 8 Dec 2018 08:44:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 08 03:44:10 2018
Received: from localhost ([127.0.0.1]:37585 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gVYDZ-0002q6-Vi
	for submit <at> debbugs.gnu.org; Sat, 08 Dec 2018 03:44:10 -0500
Received: from mout.gmx.net ([212.227.15.19]:58877)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>)
 id 1gVYDX-0002pc-Cl; Sat, 08 Dec 2018 03:44:07 -0500
Received: from [192.168.1.101] ([213.162.73.218]) by mail.gmx.com (mrgmx003
 [212.227.17.190]) with ESMTPSA (Nemesis) id 0Lk7fW-1h1sAE1aX4-00c8vQ; Sat, 08
 Dec 2018 09:44:00 +0100
Message-ID: <5C0B844E.7010409@HIDDEN>
Date: Sat, 08 Dec 2018 09:43:58 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#33254: 26.1.50; Fixed-size windows break 'balance-windows'
References: <5BDEC75A.902@HIDDEN>
 <83in1ddmha.fsf@HIDDEN>	<5BDEF4E7.7050507@HIDDEN>
 <83d0rkevyv.fsf@HIDDEN>	<5BDF1457.3060005@HIDDEN> <83a7moepcl.fsf@HIDDEN>
 <5BE00E6A.4020906@HIDDEN>
In-Reply-To: <5BE00E6A.4020906@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:qWngBwvwsYA3ApTD9Pefo8Yqm5xc0Q4JeldCzZIybJoO14Yjp03
 Wsl8wtwlNdbKmz7xdVtNGjiBWuytbYOeh4TOU/JLQ8z9OSGkmBpIj9gRORiu85oUCOSza1t
 D15g3xhNFO6H4B2wQ+zrw/ic2l25/h7w+XMQR7jWGefgyGeLkm/smdDEh+4xiCdPR7RMrYU
 6h+s2AtR1QlBvsKHVjhYQ==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:J7efLfbpOWw=:lUXilxkvBJiNgipXAu3Klm
 AY3+lTVwVgYy9UwLJx5Bbmm53o3mitr0eIYqL/QJFJ9P6H9cfuI8Dzh4iOwrPbXAfS3mJ2/jO
 IbQiUPsNHMP1GYOcNtQtQQCoUorPsytbck6kYzV0oeWsr7PygppzIoCB0AZSNO1VSZb6OA/tT
 aimbitIRRn2ukBB+B1Lpjut7nHOztTzy5ikOqk2WAzCAGrRiSGbGBiAsQZtRAythHmG8yppMu
 RsueEKexI4ueykNSjPD09oYafE0FqtaVRnfz6HSyVXC5G+fWEOE0xhSkYflfOQ0akRQVNXUGI
 GKjg5mcWLxWMEA3za4XzKTUVeAaZpndg1ziwAGTLUX0k6+KLfYmJPU1qco3MSbdyjS0q7TBNy
 66lsWWzaE5p4QaQSWHC1d2LZ8MXInlTtEdO5mBILuEtuFXOJE54syXsHpjeh5e0RvLquUmoz8
 WfOc/LbzI33XyjWyrbb4T+Hiu3nYfyNyGD1IogQkb3ImJpiv7crk/9TgxOHSAv8yv4gD+xyFw
 I+kw5OYtMTeMGBmoUAYUzLWz260yaVGI7p+0rb+r3AT2pwrBJJ2M3WeBThU1iPshs/2czT/VI
 0O9f4787htvCdYAS5JufuTZxDVx9u2gs6wbHMlxwzFjFf877ZIFSA8If7On30qf+igSJbo36W
 +qriWT3vcHYeNzpwsL/1lFiZm0Qd067cQ2fYu2pbTNlw5mqpY2VSSFZGycJik0TQvWOBXHWGT
 rRSCpniOMcv2JhBSoyQgnu3s74V6/A51RDa+2O98DvjIxY/3hZjcChpRc6G15aAngKB7x87bd
 2tNRWGkMtNznvEyLM3nFJXgtNbeDRQTFIU8KO8bcVnA+fbjh3yrFa8jRh0VpRJ09iIq7QiPni
 8tvMs4vZWboadGsNjW9YLCv/7mqWLrJ63aNzslxRQIagb+8J8z+M4syz2Q0yYHZKDWMnz7+Ig
 zSHMoSkMXtA==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 33254
Cc: 33254 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

;; fixed 33254 27.1
;; quit

 > So the fix is slightly more involved
 > and I'd rather save that one for master.

Installed on master.  Bug closed.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33254; Package emacs. Full text available.

Message received at 33254 <at> debbugs.gnu.org:


Received: (at 33254) by debbugs.gnu.org; 5 Nov 2018 15:53:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Nov 05 10:53:28 2018
Received: from localhost ([127.0.0.1]:35464 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gJhBw-00047O-I9
	for submit <at> debbugs.gnu.org; Mon, 05 Nov 2018 10:53:28 -0500
Received: from eggs.gnu.org ([208.118.235.92]:50402)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1gJhBu-00047C-TF
 for 33254 <at> debbugs.gnu.org; Mon, 05 Nov 2018 10:53:27 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1gJhBi-0003g4-6K
 for 33254 <at> debbugs.gnu.org; Mon, 05 Nov 2018 10:53:19 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:57083)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1gJhBi-0003fR-1K; Mon, 05 Nov 2018 10:53:14 -0500
Received: from [176.228.60.248] (port=4688 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1gJhBh-0006eh-DP; Mon, 05 Nov 2018 10:53:13 -0500
Date: Mon, 05 Nov 2018 17:53:09 +0200
Message-Id: <83zhuncyhm.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
In-reply-to: <5BE00E6A.4020906@HIDDEN> (message from martin rudalics on Mon,
 05 Nov 2018 10:33:30 +0100)
Subject: Re: bug#33254: 26.1.50; Fixed-size windows break 'balance-windows'
References: <5BDEC75A.902@HIDDEN> <83in1ddmha.fsf@HIDDEN>
 <5BDEF4E7.7050507@HIDDEN> <83d0rkevyv.fsf@HIDDEN> <5BDF1457.3060005@HIDDEN>
 <83a7moepcl.fsf@HIDDEN> <5BE00E6A.4020906@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 33254
Cc: 33254 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

> Date: Mon, 05 Nov 2018 10:33:30 +0100
> From: martin rudalics <rudalics@HIDDEN>
> CC: 33254 <at> debbugs.gnu.org
> 
> This bug was hiding another one which is already mentioned in a
> comment as
> 
>      ;; How can we be sure that `number-of-children' is NOT zero here ?
> 
> and in fact making all windows fixed-size would make 'balance-windows'
> fail with an arithmetic error.  So the fix is slightly more involved
> and I'd rather save that one for master.

I obviously agree.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33254; Package emacs. Full text available.

Message received at 33254 <at> debbugs.gnu.org:


Received: (at 33254) by debbugs.gnu.org; 5 Nov 2018 09:33:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Nov 05 04:33:41 2018
Received: from localhost ([127.0.0.1]:34578 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gJbGP-0001B0-5Y
	for submit <at> debbugs.gnu.org; Mon, 05 Nov 2018 04:33:41 -0500
Received: from mout.gmx.net ([212.227.17.22]:48825)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1gJbGN-0001An-BI
 for 33254 <at> debbugs.gnu.org; Mon, 05 Nov 2018 04:33:39 -0500
Received: from [192.168.1.101] ([46.125.250.97]) by mail.gmx.com (mrgmx102
 [212.227.17.168]) with ESMTPSA (Nemesis) id 0MBZ9u-1gCTiE00LG-00ASAc; Mon, 05
 Nov 2018 10:33:32 +0100
Received: from [192.168.1.101] ([46.125.250.97]) by mail.gmx.com (mrgmx102
 [212.227.17.168]) with ESMTPSA (Nemesis) id 0MBZ9u-1gCTiE00LG-00ASAc; Mon, 05
 Nov 2018 10:33:32 +0100
Message-ID: <5BE00E6A.4020906@HIDDEN>
Date: Mon, 05 Nov 2018 10:33:30 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#33254: 26.1.50; Fixed-size windows break 'balance-windows'
References: <5BDEC75A.902@HIDDEN> <83in1ddmha.fsf@HIDDEN>
 <5BDEF4E7.7050507@HIDDEN> <83d0rkevyv.fsf@HIDDEN> <5BDF1457.3060005@HIDDEN>
 <83a7moepcl.fsf@HIDDEN>
In-Reply-To: <83a7moepcl.fsf@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:C/3nYOpuJGf2lL+b2x1tbgOOLI4jYWfc3CvL/sj6jw0jUQHKDpD
 XiMF4HZxNSx5T3BnNXCmwgfsf2SwG9GGafJpcPwm93SjXmdpDVD9FRUmD8KaVkMM2DhdOXY
 kbbMv/N8ZN7zOYwwqSPdLBizBgib5mkuYGVrU+d+gx0HKawM8D5LfMU1XNI1gEHAt2+UKdF
 +liAAa1mVP+LrZIniMvhg==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V01:K0:LwrGx4Iu+To=:+kfcKF5uhE+sk8iTAlx7iD
 jBooKb4lNwYLLn74vLqeTVWl/PqdqaF2u1QP+V/Rp6B+wWv8AJ+a3y/s/CQWpO6A6rnnKMmab
 yGp1Zu4r5ZEsohJKsJedLQkWDEvCWtLUzBa3oXXzfesHJty5hsPk8Zt+f5bPWEHhxj1vMfo7u
 gyTJwj0JfygQMN5Lucc/QR10LMMk4gYHA7EzYF+E81g9+yh+vFxbOl8onhCM/UDwWQHmrWDOR
 KjMYiQmDJ7vJgyHAY7jICEcbJBVCd1i68YoC63A/ZW/3y3iz+Ot/Vn41NzeG6Q6v+cgflEE6d
 SscM6DayQWrjqPuNK7t/JUsZgUJYqvB27BPjVtY5pwo/hCuv4pQe+Dyvs4O4G4vPf5UdddT+3
 3uc1sl1oBX2+ECrj8Wp+au7Rc/pYlNMBcRLSTtYrIHCSHe8SrYrhjlG8ecNyqh0uhdV0fUgFH
 dix/xl6YL+3I3+mV91hX46CnD8IZHaJnRtaWtn3CfwlhzMJR8RYavx5i3cUk2rRvp6d7wYk5c
 5oBvSFdcyB+Fk9AFuH4u9YGVcQqabeEvmzMWOweR0228uyOCjwHcF+EA6oNuojLIrSfJ5NKKB
 hYgFD4TzjO1JalKTwGqH5QwBQFIXjpguXabwp9eZA7aqqA0mM3OuwygMDzAwsuNS4Zarwxu+l
 m0pFkDUYU2pkQLukpW7rKu5lnYFFLczc8rXvdjGekUZwmsq+NjJkwdb5gbiMjRSrMPU/uTRiF
 JvvV3hu79uDEVRpJZWQuvHGMjMK+rhnDuH9IR6Bp5sM//MyTmiQvSiLJP0V6+i2z9oYHwYgLS
 RASEdRShkmvIs3GgbVaOnsk/mqYcNrz9N/pKTXRGgW7D86lUNQ=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 33254
Cc: 33254 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

 > OK, let's have it one emacs-26.

Thinking about it twice ...

This bug was hiding another one which is already mentioned in a
comment as

     ;; How can we be sure that `number-of-children' is NOT zero here ?

and in fact making all windows fixed-size would make 'balance-windows'
fail with an arithmetic error.  So the fix is slightly more involved
and I'd rather save that one for master.

Thanks, martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33254; Package emacs. Full text available.

Message received at 33254 <at> debbugs.gnu.org:


Received: (at 33254) by debbugs.gnu.org; 4 Nov 2018 17:15:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 04 12:15:48 2018
Received: from localhost ([127.0.0.1]:34203 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gJM03-000360-NB
	for submit <at> debbugs.gnu.org; Sun, 04 Nov 2018 12:15:47 -0500
Received: from eggs.gnu.org ([208.118.235.92]:47794)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1gJM02-00035n-A0
 for 33254 <at> debbugs.gnu.org; Sun, 04 Nov 2018 12:15:46 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1gJLzs-0004EL-A8
 for 33254 <at> debbugs.gnu.org; Sun, 04 Nov 2018 12:15:40 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:60438)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1gJLzl-00043X-3x; Sun, 04 Nov 2018 12:15:32 -0500
Received: from [176.228.60.248] (port=4010 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1gJLzk-0003am-F5; Sun, 04 Nov 2018 12:15:29 -0500
Date: Sun, 04 Nov 2018 19:15:22 +0200
Message-Id: <83a7moepcl.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
In-reply-to: <5BDF1457.3060005@HIDDEN> (message from martin rudalics on Sun,
 04 Nov 2018 16:46:31 +0100)
Subject: Re: bug#33254: 26.1.50; Fixed-size windows break 'balance-windows'
References: <5BDEC75A.902@HIDDEN> <83in1ddmha.fsf@HIDDEN>
 <5BDEF4E7.7050507@HIDDEN> <83d0rkevyv.fsf@HIDDEN> <5BDF1457.3060005@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 33254
Cc: 33254 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

> Date: Sun, 04 Nov 2018 16:46:31 +0100
> From: martin rudalics <rudalics@HIDDEN>
> CC: 33254 <at> debbugs.gnu.org
> 
>  >> No.  It works with Emacs 23.
>  >
>  > Still, that's a very long time.  Why is it urgent to fix this in 26.2?
> 
> It's not the visible behavior that's disquieting me.  It's rather the
> fact that 'balance-windows-1' goes on calculating all sorts of things
> and finally 'balance-windows' sumbits a wrongly calculated structure
> to 'window-resize-apply' which only gets caught by window_resize_check
> at a very, very late stage.  Ideally, window_resize_check would emit a
> warning in such a case, but I never got around to write it.
> 
> I think the bug happens to users of 'balance-windows' all the time but
> they hardly notice because for that it needs at least three windows,
> one of them of fixed size.  With my example it's barely noticeable at
> all.  Also it's a plain thinko and probably not that urgent so I can
> make the change on Emacs 27 only as well.

OK, let's have it one emacs-26.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33254; Package emacs. Full text available.

Message received at 33254 <at> debbugs.gnu.org:


Received: (at 33254) by debbugs.gnu.org; 4 Nov 2018 15:46:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 04 10:46:39 2018
Received: from localhost ([127.0.0.1]:34156 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gJKbn-00011E-Lc
	for submit <at> debbugs.gnu.org; Sun, 04 Nov 2018 10:46:39 -0500
Received: from mout.gmx.net ([212.227.15.19]:47503)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1gJKbl-000110-UX
 for 33254 <at> debbugs.gnu.org; Sun, 04 Nov 2018 10:46:38 -0500
Received: from [192.168.1.101] ([46.125.249.115]) by mail.gmx.com (mrgmx001
 [212.227.17.190]) with ESMTPSA (Nemesis) id 0MGS9o-1gNkSU39Cy-00DDQB; Sun, 04
 Nov 2018 16:46:30 +0100
Received: from [192.168.1.101] ([46.125.249.115]) by mail.gmx.com (mrgmx001
 [212.227.17.190]) with ESMTPSA (Nemesis) id 0MGS9o-1gNkSU39Cy-00DDQB; Sun, 04
 Nov 2018 16:46:30 +0100
Message-ID: <5BDF1457.3060005@HIDDEN>
Date: Sun, 04 Nov 2018 16:46:31 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#33254: 26.1.50; Fixed-size windows break 'balance-windows'
References: <5BDEC75A.902@HIDDEN> <83in1ddmha.fsf@HIDDEN>
 <5BDEF4E7.7050507@HIDDEN> <83d0rkevyv.fsf@HIDDEN>
In-Reply-To: <83d0rkevyv.fsf@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:YGK3i2DdfvJFYOh6NX25gFOQFEd4CC6K9SK0U0HGxRTTHn6jGK2
 EG3eLhT22GxltPuo1fVnbKZJwOoQyhi+tq1tNtTwJXrWgD1jmPx8dDofweL03nNMmFPe7aK
 6trPN90W/1dlIPNyzN9i4wWNQHPMJTYnyu5DxKDsnJwHohuALFB2b/1pazGc3pqzgknler6
 WBcIUpH2cSyJRqWKsfGtg==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V01:K0:Rhqu1f9ZPZo=:5cJsx/EwkEGwbU0GmYZXdG
 0dSxdvAyIyHHieq4w0Nl2KtbucUYVctm+08BvLq3ILNGWyuxyo/pCKO2rL5JlpV7ifQPD0N5q
 dIfwExzgcfA5fAW/4U/kbCINqZKugXWDTRuZYotwcBNdvurhCzOs1Iu0AvyvYL2EN5R8RjPRk
 orTG83F5Y1CPne38d5iG1q+6FL6ptpqfGnrF8r+J+eb87UlvwlA0QjbBuceSFARVABaF9lBgC
 nNZ+q2MCj0+AIYjRKb2oRaWkEe0tMEqB8UiA/H0722Eny2jGeh95iG/361SxDdudJBhgnk8Ay
 qjT5Hbw5LZwxADPoDDCblVG87ZKHAUtFf+ovxAU3py/TgLg5BmHblYtfuESBC1/clZPnYkhWs
 5U5RiwsCZNaSLOoXyOtWQ5mW0UPsIG5KYPPa5CsDCNC2who/0zqBkeQCRhQmuAOtAOQF/Je0z
 j/l9+n2LvjKqfEf2cWXS5K8dRt0rEAIGZ6w+NqfFTEnwDI8F6B7ozTphrnTfPE+YgIFlIETIl
 VuSmgKOxbk1k+P59KV4Mh2JuADNpUcb1DtZS+WqGHea2tVK459sN1xUkU8WNdeAXVTQV9IzW+
 lnBY7tuZQaKmA/obQnnSnhXeIxmsN12FEMO/a8jWeILPfToiYHy8rS57nZffhyPuDw2vt7mXJ
 +s2sodb7BQo4C5ScB38Vf/hxtW8dWL/RVbJBSU/8Lkj3BelRz7gkaDowYNTCi2laKUZWm0Mjs
 +sS3t/OFfdVaaUVKCluVQ8ULMyz3Tn2Cok7P+VzN82fE+KRgEESFeRnY446Pkj9cpN0CDUF4E
 3uTNXdsiP0m1hmFO7sav9g/t9slK5dAxn9PmiJ/kKf3N1or9kc=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 33254
Cc: 33254 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

 >> No.  It works with Emacs 23.
 >
 > Still, that's a very long time.  Why is it urgent to fix this in 26.2?

It's not the visible behavior that's disquieting me.  It's rather the
fact that 'balance-windows-1' goes on calculating all sorts of things
and finally 'balance-windows' sumbits a wrongly calculated structure
to 'window-resize-apply' which only gets caught by window_resize_check
at a very, very late stage.  Ideally, window_resize_check would emit a
warning in such a case, but I never got around to write it.

I think the bug happens to users of 'balance-windows' all the time but
they hardly notice because for that it needs at least three windows,
one of them of fixed size.  With my example it's barely noticeable at
all.  Also it's a plain thinko and probably not that urgent so I can
make the change on Emacs 27 only as well.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33254; Package emacs. Full text available.

Message received at 33254 <at> debbugs.gnu.org:


Received: (at 33254) by debbugs.gnu.org; 4 Nov 2018 14:52:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 04 09:52:52 2018
Received: from localhost ([127.0.0.1]:33482 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gJJlk-00083H-B2
	for submit <at> debbugs.gnu.org; Sun, 04 Nov 2018 09:52:52 -0500
Received: from eggs.gnu.org ([208.118.235.92]:43661)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1gJJli-000833-V7
 for 33254 <at> debbugs.gnu.org; Sun, 04 Nov 2018 09:52:51 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1gJJla-0006VK-L3
 for 33254 <at> debbugs.gnu.org; Sun, 04 Nov 2018 09:52:45 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:57988)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1gJJlV-0006Sm-IG; Sun, 04 Nov 2018 09:52:39 -0500
Received: from [176.228.60.248] (port=2989 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1gJJlQ-0005op-2m; Sun, 04 Nov 2018 09:52:33 -0500
Date: Sun, 04 Nov 2018 16:52:24 +0200
Message-Id: <83d0rkevyv.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
In-reply-to: <5BDEF4E7.7050507@HIDDEN> (message from martin rudalics on Sun,
 04 Nov 2018 14:32:23 +0100)
Subject: Re: bug#33254: 26.1.50; Fixed-size windows break 'balance-windows'
References: <5BDEC75A.902@HIDDEN> <83in1ddmha.fsf@HIDDEN>
 <5BDEF4E7.7050507@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 33254
Cc: 33254 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

> Date: Sun, 04 Nov 2018 14:32:23 +0100
> From: martin rudalics <rudalics@HIDDEN>
> CC: 33254 <at> debbugs.gnu.org
> 
>  >> With emacs -Q type C-x 2 C-x 2 C-x b RET
>  >>
>  >> This should put you in the *Messages* buffer.  Now do
>  >>
>  >> M-: (setq window-size-fixed t)
>  >>
>  >> followed by
>  >>
>  >> M-: (balance-windows)
>  >>
>  >> Window sizes remain unchanged.  The attached patch should fix that.  I
>  >> would like to apply it to the release branch.  Objections?
>  >
>  > Rationale?  Isn't this behavior in Emacs since about forever?
> 
> No.  It works with Emacs 23.

Still, that's a very long time.  Why is it urgent to fix this in 26.2?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33254; Package emacs. Full text available.

Message received at 33254 <at> debbugs.gnu.org:


Received: (at 33254) by debbugs.gnu.org; 4 Nov 2018 13:32:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 04 08:32:33 2018
Received: from localhost ([127.0.0.1]:33457 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gJIW0-0006D4-Rf
	for submit <at> debbugs.gnu.org; Sun, 04 Nov 2018 08:32:33 -0500
Received: from mout.gmx.net ([212.227.15.19]:38439)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1gJIVz-0006Cr-Gy
 for 33254 <at> debbugs.gnu.org; Sun, 04 Nov 2018 08:32:32 -0500
Received: from [192.168.1.101] ([46.125.249.115]) by mail.gmx.com (mrgmx003
 [212.227.17.190]) with ESMTPSA (Nemesis) id 0MWT8s-1g3ErS3pW6-00XfJq; Sun, 04
 Nov 2018 14:32:25 +0100
Received: from [192.168.1.101] ([46.125.249.115]) by mail.gmx.com (mrgmx003
 [212.227.17.190]) with ESMTPSA (Nemesis) id 0MWT8s-1g3ErS3pW6-00XfJq; Sun, 04
 Nov 2018 14:32:25 +0100
Message-ID: <5BDEF4E7.7050507@HIDDEN>
Date: Sun, 04 Nov 2018 14:32:23 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#33254: 26.1.50; Fixed-size windows break 'balance-windows'
References: <5BDEC75A.902@HIDDEN> <83in1ddmha.fsf@HIDDEN>
In-Reply-To: <83in1ddmha.fsf@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:YJrcc0gLS8dehFnvig8t1PZWDkZvGJfIs3Ypyj5gTTnZNHBrGQE
 zuL2JlV7HYw9pnC916mC5NYoXKLPkpvmiTOnAAyRVhlhSaKSewcrv9LdxGw3yR6Hu/aSacJ
 2xq5Ut7d/ZcT8NbE7Ot4/zKpTl8aEXHA23TQIKUmVQfEteMRWnu3UpcngBjHfnyxb28Z/uh
 xjkcXzYCdl7QDdvaPgE0g==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V01:K0:h/3Kb7yuS/Q=:XWs/TfMtewmhlwXoFTo5Va
 i35SLKyQA4r5ukj0HLTAomLGoFn0jmB5Prd7yqr9r8rS/li6XaF+6RdUZjHh6UWDvmIOt6o2q
 hTV5ybxP4bVhIJwyHqEornIpu5F6cSRFZqQTALfwCO7ORyRtQMBMutHhzGyjT+ZLeqwz180Hx
 Gh+dFkOTab9mnWofkJg/kIvPiStlqN6o1HdwEGGD4gGqbQVd1j3DAwQaO071lCSc547LB4ZHB
 lvG2D+sJLk9RsK+QwTM/CfCSyivqhazpTgJbR+U/v9m6Xfgj9jtYjlVH5wF6db35bDddecctE
 GmVjJd44vUb55vJDnotCrPnYPa8YUti8pe/h4UQkejcNOZZ1cKTwnt58+LPxDFJfcZPluxmhV
 qbwHzehJSAiZYmTanA/QN8mEUODu9ugpwUl2qgx59l4y0ruWXV4t0Ii+UyrtGcPb0EPbTZlWF
 ycjWjnJwr0ppBNJhauUkN3p7aJZprGsswCyoj245NBZ9uxw1Tbz6xdXdNzwhUgX3c+rveRt2R
 dDjWz+nyWqOAfM4dxVSXEb/14fhJ0U7/YFL+6jrhdRyqpBIMbn1hJke/YeupyzjPfXJduID0r
 23xWbcPv60p7gD6ZljuUdkZ6HEUE+MuNt5mOSnaJsOC2VOqpqZXHYyU8x2MoxoNPlzr82n1eU
 rzbVNlldSongnlV9RdtXEpU4xv1IiyXZlhbu3a7kOL5mybNAFZQNDb8egSfGNZYgKnTc8i6Zu
 h4SY456ZMs2LvW6zlq7GEoTg2yQdOvWjZgN3oJ3fcarFvRbO7Jc1xp3ZDc9dndddUPLpB4IOl
 9Sjriib8Xdhjd/UGsB92CBhn/lX1hQOAh5K3YvtOcIECjM3L5E=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 33254
Cc: 33254 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

 >> With emacs -Q type C-x 2 C-x 2 C-x b RET
 >>
 >> This should put you in the *Messages* buffer.  Now do
 >>
 >> M-: (setq window-size-fixed t)
 >>
 >> followed by
 >>
 >> M-: (balance-windows)
 >>
 >> Window sizes remain unchanged.  The attached patch should fix that.  I
 >> would like to apply it to the release branch.  Objections?
 >
 > Rationale?  Isn't this behavior in Emacs since about forever?

No.  It works with Emacs 23.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33254; Package emacs. Full text available.

Message received at 33254 <at> debbugs.gnu.org:


Received: (at 33254) by debbugs.gnu.org; 4 Nov 2018 13:02:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 04 08:02:59 2018
Received: from localhost ([127.0.0.1]:33437 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gJI3O-0005Vs-Uw
	for submit <at> debbugs.gnu.org; Sun, 04 Nov 2018 08:02:59 -0500
Received: from eggs.gnu.org ([208.118.235.92]:51094)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1gJI3M-0005Vf-QI
 for 33254 <at> debbugs.gnu.org; Sun, 04 Nov 2018 08:02:57 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1gJI3E-000238-Ft
 for 33254 <at> debbugs.gnu.org; Sun, 04 Nov 2018 08:02:51 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:56189)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1gJI3E-00022o-BS; Sun, 04 Nov 2018 08:02:48 -0500
Received: from [176.228.60.248] (port=4153 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1gJI3D-0004Am-UV; Sun, 04 Nov 2018 08:02:48 -0500
Date: Sun, 04 Nov 2018 15:02:41 +0200
Message-Id: <83in1ddmha.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
In-reply-to: <5BDEC75A.902@HIDDEN> (message from martin rudalics on Sun, 04
 Nov 2018 11:18:02 +0100)
Subject: Re: bug#33254: 26.1.50; Fixed-size windows break 'balance-windows'
References: <5BDEC75A.902@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 33254
Cc: 33254 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

> Date: Sun, 04 Nov 2018 11:18:02 +0100
> From: martin rudalics <rudalics@HIDDEN>
> 
> With emacs -Q type C-x 2 C-x 2 C-x b RET
> 
> This should put you in the *Messages* buffer.  Now do
> 
> M-: (setq window-size-fixed t)
> 
> followed by
> 
> M-: (balance-windows)
> 
> Window sizes remain unchanged.  The attached patch should fix that.  I
> would like to apply it to the release branch.  Objections?

Rationale?  Isn't this behavior in Emacs since about forever?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33254; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 4 Nov 2018 10:25:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 04 05:25:15 2018
Received: from localhost ([127.0.0.1]:33343 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gJFak-0003u6-P4
	for submit <at> debbugs.gnu.org; Sun, 04 Nov 2018 05:25:14 -0500
Received: from eggs.gnu.org ([208.118.235.92]:42447)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1gJFai-0003tu-VR
 for submit <at> debbugs.gnu.org; Sun, 04 Nov 2018 05:25:13 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rudalics@HIDDEN>) id 1gJFad-0004DF-8z
 for submit <at> debbugs.gnu.org; Sun, 04 Nov 2018 05:25:07 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.5 required=5.0 tests=BAYES_05,FREEMAIL_FROM
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:55381)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <rudalics@HIDDEN>) id 1gJFad-0004D4-4y
 for submit <at> debbugs.gnu.org; Sun, 04 Nov 2018 05:25:07 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:51926)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <rudalics@HIDDEN>) id 1gJFaZ-00054O-V5
 for bug-gnu-emacs@HIDDEN; Sun, 04 Nov 2018 05:25:07 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rudalics@HIDDEN>) id 1gJFTn-0004jN-V7
 for bug-gnu-emacs@HIDDEN; Sun, 04 Nov 2018 05:18:07 -0500
Received: from mout.gmx.net ([212.227.17.20]:39019)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <rudalics@HIDDEN>) id 1gJFTn-0004gd-KH
 for bug-gnu-emacs@HIDDEN; Sun, 04 Nov 2018 05:18:03 -0500
Received: from [192.168.1.101] ([46.125.249.115]) by mail.gmx.com (mrgmx101
 [212.227.17.168]) with ESMTPSA (Nemesis) id 0LcnRD-1frMir0ZwF-00kAB8 for
 <bug-gnu-emacs@HIDDEN>; Sun, 04 Nov 2018 11:18:02 +0100
Received: from [192.168.1.101] ([46.125.249.115]) by mail.gmx.com (mrgmx101
 [212.227.17.168]) with ESMTPSA (Nemesis) id 0LcnRD-1frMir0ZwF-00kAB8 for
 <bug-gnu-emacs@HIDDEN>; Sun, 04 Nov 2018 11:18:02 +0100
Message-ID: <5BDEC75A.902@HIDDEN>
Date: Sun, 04 Nov 2018 11:18:02 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Bug-Gnu-Emacs <bug-gnu-emacs@HIDDEN>
Subject: 26.1.50; Fixed-size windows break 'balance-windows'
Content-Type: multipart/mixed; boundary="------------030308030609020207030705"
X-Provags-ID: V03:K1:uhMbtev/B+Hd8Ri6NKYGozmN6VrMY6C1cBBkfVUAI1N4ZqXyBC2
 9de3z0hcdFT9ul2hHk0TrX9dD6Oo3KsSroPUq8Rdr16LP+DvAMTnGX6nE57k6Gl0N7onSm9
 TQ+qH3uiIuUPTJEZY8MS6Isyu8WX8BUK0fA0Mv0zJCFEBoqW08HYCvmzpe4ZqkRMtk4wkQ9
 1Wy2oja61jfuKbFUk00RQ==
X-UI-Out-Filterresults: notjunk:1;V01:K0:IO4L0ZqW4sY=:RgmE7BA5M0SXAjZ317dpQ5
 JmXOUltCFXGkMHa9TiMdzQT5oaFMS3FkqwdBRxi07gS5cW7vYEqiVyYFCpwNGudvDDYCZvKo2
 TBkkd72i/nASTVVfNuXGgnbFkzFhTRgJlm3Lk8iwVb3MocdoEXc9FMMbS5TPoHFGWv6ANdSic
 7M/Aq2fzyBcSJujFHf/YaHxS519BSb78Kf+G5HFxYYHc53Kl7dOhKiG8bceKVr2H0yXQaPt/B
 U/RUijidtBly9/urwl+WK4IvIyUZFUgoZb7rsE+Fn9laLp5v/8yRjQ2kuyaWLNl1vEaF+gd36
 e4adrUZsieRQThw1mmyqRPxIWKLaO2xLspSu1wOQLUm4070K1LoXdItlaxG5YANbLa4yMsntT
 iJzgWmq4+sEhf/N5o29emSOExv8dAWKE/P9Nr8GXiL9l0xTSOq2JwOD1KfcsGtiM4DCcn1djQ
 lLmq+KBuAAknXWuiMZRcldEA8HFsEfaAORFZwOOPe66eJA5nSRqGIpasxL1adDOmI2q7tn3BL
 um6Anjfw09qEE/1qTsYrN9LUswZ2+e2HkWP7IH+et42mVVea3g+BAuQLGFSoeHwbzCvCa4vB7
 N3J/0Bdm9Kh0+Ai/DoEyQwRXhz8IsnBvEPqpZZLWeiwXqp45YVXfCZut2jCN06C+kMMgYAzxH
 qZs9s20J/wJR4poTYFYImPLiJ5sEG0EAYtBcSXMxrMhQPkhbmun/7xWD4U0FRjWC8Ogk3pfHt
 /AGO42otu+Xke5/MoHi7l28UfiZrndHgy8okEKmT+34alWYpaLean6s1GZu0RLnkgnZ08TE8N
 FpuV1i2H+0mkXWQSol/MywNNwUi2NKl7Z7/yCxcJ8fHbrwi/jjnVXhni2PXlEtlA+yRS5ZXhS
 ShaT5j6jwMDoer3AOngyZHOQZP9jClTgGDTbpe1OU=
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.1 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.1 (-----)

This is a multi-part message in MIME format.
--------------030308030609020207030705
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit

I have been informed about the existence of this bug by Akio Burns.
Unfortunately, he has not reacted so far to my request to file a bug
report so I'm sloppily doing this here instead:

With emacs -Q type C-x 2 C-x 2 C-x b RET

This should put you in the *Messages* buffer.  Now do

M-: (setq window-size-fixed t)

followed by

M-: (balance-windows)

Window sizes remain unchanged.  The attached patch should fix that.  I
would like to apply it to the release branch.  Objections?

Thanks, martin

--------------030308030609020207030705
Content-Type: text/plain; charset=windows-1252;
 name="balance-windows.diff"
Content-Transfer-Encoding: base64
Content-Disposition: attachment;
 filename="balance-windows.diff"

ZGlmZiAtLWdpdCBhL2xpc3Avd2luZG93LmVsIGIvbGlzcC93aW5kb3cuZWwKaW5kZXggZjk2
Yzg4Ny4uMDNlMGM5NiAxMDA2NDQKLS0tIGEvbGlzcC93aW5kb3cuZWwKKysrIGIvbGlzcC93
aW5kb3cuZWwKQEAgLTUzMDUsMTEgKzUzMDUsMTIgQEAgYmFsYW5jZS13aW5kb3dzLTIKIAkg
KHRvdGFsLXN1bSBwYXJlbnQtc2l6ZSkKIAkgZmFpbGVkIHNpemUgc3ViLXRvdGFsIHN1Yi1k
ZWx0YSBzdWItYW1vdW50IHJlc3QpCiAgICAgKHdoaWxlIHN1YgotICAgICAgKHNldHEgbnVt
YmVyLW9mLWNoaWxkcmVuICgxKyBudW1iZXItb2YtY2hpbGRyZW4pKQotICAgICAgKHdoZW4g
KHdpbmRvdy1zaXplLWZpeGVkLXAgc3ViIGhvcml6b250YWwpCi0JKHNldHEgdG90YWwtc3Vt
Ci0JICAgICAgKC0gdG90YWwtc3VtICh3aW5kb3ctc2l6ZSBzdWIgaG9yaXpvbnRhbCB0KSkp
Ci0JKHNldC13aW5kb3ctbmV3LW5vcm1hbCBzdWIgJ2lnbm9yZSkpCisgICAgICAoaWYgKHdp
bmRvdy1zaXplLWZpeGVkLXAgc3ViIGhvcml6b250YWwpCisgICAgICAgICAgKHByb2duCisg
ICAgICAgICAgICAoc2V0cSB0b3RhbC1zdW0KKwkgICAgICAgICAgKC0gdG90YWwtc3VtICh3
aW5kb3ctc2l6ZSBzdWIgaG9yaXpvbnRhbCB0KSkpCisJICAgIChzZXQtd2luZG93LW5ldy1u
b3JtYWwgc3ViICdpZ25vcmUpKQorICAgICAgICAoc2V0cSBudW1iZXItb2YtY2hpbGRyZW4g
KDErIG51bWJlci1vZi1jaGlsZHJlbikpKQogICAgICAgKHNldHEgc3ViICh3aW5kb3ctcmln
aHQgc3ViKSkpCiAKICAgICAoc2V0cSBmYWlsZWQgdCkKCg==
--------------030308030609020207030705--




Acknowledgement sent to martin rudalics <rudalics@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#33254; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 8 Dec 2018 09:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.